<template>
  <TransitionGroup name="fadeGroup" appear>
    <slot></slot>
  </TransitionGroup>
</template>

<style>
.fadeGroup-move,
.fadeGroup-enter-active {
  transition: opacity 1s ease;
}

.fadeGroup-leave-active {
  position: absolute;
  transition: opacity 0.5s ease;
}

.fadeGroup-enter-from,
.fadeGroup-leave-to {
  opacity: 0;
}
</style>
